Summary:        Install subroutines into packages easily
Name:           perl-Sub-Install
Version:        0.929
Release:        1%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Sub-Install
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Sub-Install-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  perl-interpreter perl-generators perl(strict) perl(warnings)
BuildRequires:  perl(B) perl(Carp) perl(Scalar::Util) perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(B)

BuildArch:      noarch

%description
This module provides the ability to easily install subroutines into packages and avoid the
unsightly mess of no strict or typeglobs lying about where just anyone can see them.

%prep
%autosetup -n Sub-Install-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
rm -rf %{buildroot}
%make_install
%{_fixperms} %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Sub/
%{_mandir}/man3/Sub::Install.3pm*

%changelog
* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 0.929-1
- Upgrade to version 0.929

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.928-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.928-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.928-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.928-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 9 2022 Wang Guodong <gordonwwang@tencent.com> - 0.928-1
- package init.
